Bug 1731412 (CVE-2019-13917) - CVE-2019-13917 exim: ${sort} in configuration leads to privilege escalation
Summary: CVE-2019-13917 exim: ${sort} in configuration leads to privilege escalation
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-13917
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1733410 1733411
Blocks: 1731414
TreeView+ depends on / blocked
 
Reported: 2019-07-19 11:06 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:17 UTC (History)
5 users (show)

Fixed In Version: exim 4.92.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-22 05:16:24 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-19 11:06:16 UTC
A flaw was found in exim, in which if the server configuration uses the ${sort } expansion, then this could be controlled by the remote attacker (e.g. $local_part, $domain), resulting in the attacker able to execute programs with root privileges.

Note: The default config, as shipped by exim upstream, does not contain ${sort }.

exim versions from 4.85 up to and including 4.92 are affected.

Comment 1 Huzaifa S. Sidhpurwala 2019-07-22 05:08:12 UTC
Acknowledgments:

Name: Jeremy Harris

Comment 2 Huzaifa S. Sidhpurwala 2019-07-22 05:08:18 UTC
Statement:

As per upstream, this exim security flaw only affects exim versions from 4.85 up to and including 4.92. Since Red Hat Enterprise Linux 5 ships exim-4.63, it is not affected by this flaw.

Comment 3 Huzaifa S. Sidhpurwala 2019-07-22 05:08:22 UTC
Mitigation:

Do not use ${sort } in your exim configuration.

Comment 4 Huzaifa S. Sidhpurwala 2019-07-26 03:31:12 UTC
External References:

https://www.exim.org/static/doc/security/CVE-2019-13917.txt

Comment 5 Huzaifa S. Sidhpurwala 2019-07-26 03:31:45 UTC
Created exim tracking bugs for this issue:

Affects: epel-all [bug 1733411]
Affects: fedora-all [bug 1733410]


Note You need to log in before you can comment on or make changes to this bug.